(function(exports) {
    exports.main = async function() {
        console.log('default_app_sw')
        const app_sw_config_script = utils.load_script('app_sw_config.js')
        const localization_script = utils.load_script('localization.js')
        const app_sw_control_script = utils.load_script('app_sw_control.js')
        
        await Promise.all([
            app_sw_control_script,
            app_sw_config_script,
            localization_script
        ])
        .then(() => app_sw_control.main())
        .then(() => {
            localization.main()
            app_sw_config.add_configuration()
            //$("#app_sw_div") - div for some html
        })
    }
})(this.app_sw = {})